View Issue Details

IDProjectCategoryView StatusLast Update
0017367mantisbtcustom fieldspublic2017-04-17 09:55
ReporterujejAssigned Tocproensa 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.2.16 
Target Version1.3.4Fixed in Version1.3.4 
Summary0017367: Custom Field - On The Manage Columns - Mantis changed value to lower case
Description

Manage Custom Field - If we had name of the field starting with Upper case,
On the Manage Columns - Mantis changed value to lower case.

On View Issues We see column name for example @name@ and record value @name@

Additional Information

I wrote about this here:

http://www.mantisbt.org/forums/viewtopic.php?f=4&t=22026&p=54259&hilit=funkcjonalnosc#p54259

TagsNo tags attached.

Relationships

has duplicate 0019408 closedcproensa case sensitive in Oracle 
related to 0020248 closedcproensa Custom field named with capital letters like "Component" doesn't display on views 

Activities

There are no notes attached to this issue.

Related Changesets

MantisBT: master-1.3.x 414d19dd

2016-11-18 19:44:12

cproensa


Committer: vboctor Details Diff
Don't force lowercase for custom field column names

Custom field names are referenced by name in columns definitions.
There were some conversions in place to compare column names by
converting to lowercase.
However, the field name is stored in custom fields table without any
conversion. This causes:
- The configured columns array can be inconsistent with the available
columns names.
- When the database uses case sensitive matching, the columns are not
shown properly and are presented as not existant.

So given that custom field names are already stored with unrestricted
names, which include spaces and non-alphanumeric characters, forcing
them to lowercase while treating them is not a significant requirement
at the moment.

Fixes: 0017367, 0020248
mod - core/columns_api.php Diff File

MantisBT: master-2.2 c612d8da

2017-03-22 20:45:46

cproensa


Committer: vboctor Details Diff
Fix lowercase custom field column names

Fix column names for custom field columns that may be stored as
lowercase in configuration. See issue 0017367
If the system was working fine with lowercase names, then database is
case-insensitive, eg: mysql.
Fix by forcing a search with current name to get the id, then get the
actual name by looking up this id.

Fixes: 0022555
mod - core/bug_api.php Diff File
mod - core/columns_api.php Diff File
mod - core/helper_api.php Diff File

Issue History

Date Modified Username Field Change
2014-05-22 04:37 ujej New Issue
2015-11-02 08:24 atrol Relationship added related to 0020248
2016-11-24 02:47 vboctor Changeset attached => MantisBT master-1.3.x 414d19dd
2016-11-24 02:47 vboctor Assigned To => vboctor
2016-11-24 02:47 vboctor Status new => resolved
2016-11-24 02:47 vboctor Resolution open => fixed
2016-11-24 02:47 vboctor Fixed in Version => 1.3.4
2016-11-24 03:00 atrol Target Version => 1.3.4
2016-11-24 03:01 atrol Assigned To vboctor => cproensa
2016-11-27 00:45 vboctor Status resolved => closed
2017-03-22 22:25 vboctor Changeset attached => MantisBT master-2.2 c612d8da
2017-04-17 09:55 cproensa Relationship added has duplicate 0019408